#Module-Specific definitions
%define apache_version 2.2.4
%define mod_name mod_auth_mysql
%define mod_conf 12_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	Basic authentication for the apache web server using a MySQL database
Name:		apache-%{mod_name}
Version:	3.0.0
Release:	%mkrel 13
Group:		System/Servers
License:	Apache License
URL:		http://sourceforge.net/projects/modauthmysql/
Source0:	http://prdownloads.sourceforge.net/modauthmysql/%{mod_name}-%{version}.tar.bz2
Source1:	%{mod_conf}
Patch0:		mod_auth_mysql-3.0.0-apr1x.patch
Patch1:		mod_auth_mysql-3.0.0-htpasswd-style.diff
BuildRequires:	mysql-devel
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):  apache-conf >= %{apache_version}
Requires(pre):  apache >= %{apache_version}
Requires:	apache-conf >= %{apache_version}
Requires:	apache >= %{apache_version}
BuildRequires:  apache-devel >= %{apache_version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
mod_auth_mysql is an Apache module to authenticate users and authorize access
through a MySQL database. It is flexible and support several encryption
methods.

%prep

%setup -q -n %{mod_name}-%{version}
%patch0 -p1 -b .apr1x
%patch1 -p0 -b .htpasswd-style

cp %{SOURCE1} %{mod_conf}

%build

%{_sbindir}/apxs -L%{_libdir}/mysql -I%{_includedir}/mysql -Wl,-lmysqlclient -c mod_auth_mysql.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
        %{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc BUILD CHANGES CONFIGURE README
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}


%changelog
* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.com> 3.0.0-13mdv2008.0
+ Revision: 82354
- rebuild

* Sat Aug 18 2007 Michael Scherer <misc@mandriva.org> 3.0.0-12mdv2008.0
+ Revision: 65532
- fix rpmlint warning buildprereq-use mysql-devel

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild
    - use the new %%serverbuild macro

* Wed Jun 13 2007 Oden Eriksson <oeriksson@mandriva.com> 3.0.0-10mdv2008.0
+ Revision: 38406
- rebuild


* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 3.0.0-9mdv2007.1
+ Revision: 140576
- rebuild

* Tue Feb 27 2007 Oden Eriksson <oeriksson@mandriva.com> 3.0.0-8mdv2007.1
+ Revision: 126604
- general cleanups

* Thu Nov 09 2006 Oden Eriksson <oeriksson@mandriva.com> 3.0.0-7mdv2007.1
+ Revision: 79219
- Import apache-mod_auth_mysql

* Tue Sep 05 2006 Oden Eriksson <oeriksson@mandriva.com> 3.0.0-7mdv2007.0
- rebuilt against MySQL-5.0.24a-1mdv2007.0 due to ABI changes

* Sun Jul 30 2006 Oden Eriksson <oeriksson@mandriva.com> 3.0.0-6mdv2007.0
- rebuild

* Mon May 01 2006 Oden Eriksson <oeriksson@mandriva.com> 3.0.0-5mdk
- added P1 from the sf tracker (htpasswd-style encryption)

* Mon Dec 12 2005 Oden Eriksson <oeriksson@mandriva.com> 3.0.0-4mdk
- rebuilt against apache-2.2.0
- added one apr1 patch from fedora (P0)

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 3.0.0-3mdk
- rebuilt against MySQL-5.0.15

* Mon Oct 17 2005 Oden Eriksson <oeriksson@mandriva.com> 3.0.0-2mdk
- rebuilt against correct apr-0.9.7

* Sat Oct 15 2005 Oden Eriksson <oeriksson@mandriva.com> 3.0.0-1mdk
- 3.0.0

* Sat Jul 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_2.9.0-3mdk
- added another work around for a rpm bug

* Sat Jul 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_2.9.0-2mdk
- added a work around for a rpm bug, "Requires(foo,bar)" don't work

* Fri May 27 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_2.9.0-1mdk
- rename the package
- the conf.d directory is renamed to modules.d
- use new rpm-4.4.x pre,post magic

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.8.1-8mdk
- use fixes from 2.9.0 to make it work with MySQL-4.1.x password hashing
- update description

* Thu Mar 17 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.8.1-7mdk
- changelog entries was not consistant, this entry was added

* Thu Mar 17 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.8.1-6mdk
- use the %%mkrel macro

* Sun Feb 27 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.8.1-5mdk
- fix %%post and %%postun to prevent double restarts

* Wed Feb 16 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.53_2.8.1-4mdk
- fix bug #6574

* Wed Feb 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.8.1-3mdk
- fix deps

* Tue Feb 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.8.1-2mdk
- spec file cleanups, remove the ADVX-build stuff

* Fri Feb 11 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.8.1-1mdk
- 2.8.1

* Tue Feb 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.7.0-1mdk
- rebuilt for apache 2.0.53

* Tue Jan 25 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_2.7.0-3mdk
- dotnuke

* Tue Jan 25 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_2.7.0-2mdk
- rebuilt against MySQL-4.1.x system libs

* Sat Nov 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_2.7.0-1mdk
- 2.7.0
- new url
- update S1
- drop the patches

* Wed Sep 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_1.11-1mdk
- built for apache 2.0.52

* Fri Sep 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.51_1.11-1mdk
- built for apache 2.0.51

* Wed Aug 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_1.11-3mdk
- rebuilt

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_1.11-2mdk
- remove redundant provides

* Thu Jul 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_1.11-1mdk
- built for apache 2.0.50

* Sat Jun 12 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.49_1.11-1mdk
- built for apache 2.0.49

